scripts: add a basic test runner
- ID
9a2e2ab- date
2026-05-17 15:42:36+00:00- author
Alex Chan <alex@alexwlchan.net>- parent
8d3fe36- message
scripts: add a basic test runner- changed files
1 file, 13 additions
Changed files
scripts/run_q_tests.sh (0) → scripts/run_q_tests.sh (205)
diff --git a/scripts/run_q_tests.sh b/scripts/run_q_tests.sh
new file mode 100755
index 0000000..0d304ef
--- /dev/null
+++ b/scripts/run_q_tests.sh
@@ -0,0 +1,13 @@
+#!/usr/bin/env bash
+
+set -o errexit
+set -o nounset
+
+# Print a command in blue, then run the command
+run_command() {
+ echo ""
+ echo -e "\033[34m-> $@\033[0m"
+ bash -c "$@"
+}
+
+run_command "go test"